package routes

import (
	"log"

	"git.matterlinux.xyz/Matter/website/lib"
	"github.com/gofiber/fiber/v2"
)

func DownloadRoute(c *fiber.Ctx) error{
  con, err := lib.GetContent("", "download")
  if err != nil {
    log.Printf("GetContent failed: %s", err.Error())
    return lib.RenderError(c, 500)
  }

  return c.Render("download", fiber.Map{
    "content": con,
  })
}
